# --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
# Make sb (subjects)
# --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

vassign(.(sb, dlong, dwide, timing, tdiff), unpack.tversky(
     "authority.sqlite",
     include.incomplete = F))

analog.response = function(v)
    as.numeric(v) / (response.bar.width + 1)
  # For ease of data analysis, this makes responses of exactly 0 or
  # 1 impossible.
  # (It seems that <input type="image"> uses 1-based coordinates.)

sb = with(dwide, transform(sb,
    good = T,
    test.secs = as.numeric(completed_t - consented_t),
    gender = factor(gender),
    age = as.numeric(age),
    punish.nc = factor(levels = c("NoOpp", "Punish", "Relent"),
        ifelse(is.na(can_protect_kids), NA,
        ifelse(is.na(punish_noncarders), "NoOpp",
        ifelse(punish_noncarders == "Yes", "Punish",
            "Relent")))),
    oc.fine = int2factor(
        as.integer(dwide$open_container_fine), 0, ord = T,
        c("0", "$20", "$50", "$70", "$100", "$200", "$500", "$1k", "Huge")),
    drink.age = int2factor(
        as.integer(dwide$drinking_age), 0, ord = T,
        c("0", "0<x<18", "18", "18<x<21", "21", ">21", "∞")),
    censor = factor(levels = qw(NoOpp, Censor, Refuse),
         ifelse(is.na(can_censor),      NA,
         ifelse(can_censor == "No",     "NoOpp",
         ifelse(should_censor == "Yes", "Censor",
                                        "Refuse")))),
    vuln.s = analog.response(vuln_subject.x),
    vuln.adult = analog.response(vuln_adult.x),
    vuln.10yo = analog.response(vuln_10yo.x)))

bad.s = unique(qw(
    s0156,
      # Anticipated the deception.
    s0152))
      # tv %in% 3:6, took less than a minute.
sb[bad.s, "good"] = F
good.s = setdiff(row.names(sb), bad.s)

