library(plyr)
library(ggplot2)
library(stringr)

sys.source(getOption("Kodi.R.path"), Kodi <- new.env())
for (name in Kodi$qw(
        defmacroq, qw, punl, ss, ssq, evalq, vassign,
        char, num,
        ordf, int2factor, logi2factor,
        mapcols, dby, ilogit, qmean, rng,
        unpack.tversky, tversky.sid,
        lapply.names,
        dodge, boxp, no.gridlines, geom_densitybw,
        as.bugs.model, multijags
      ))
    assign(name, Kodi[[name]])
cached = Kodi$mk.cached(c("Kodi", "projects", "authority"))
write.table = Kodi$org.write.table

# --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

response.bar.width = 576

source("data.R", local = T)
source("simple.R", local = T)
source("mcmc.R", local = T)
